org.apache.tapestry5.model

## Interface EmbeddedComponentModel

- All Superinterfaces:
    Locatable
  All Known Subinterfaces:
    MutableEmbeddedComponentModel
  All Known Implementing Classes:
    MutableEmbeddedComponentModelImpl

      public interface EmbeddedComponentModel
      extends Locatable

  The model for a component embedded within another component, as defined by the `Component` annotation.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getComponentClassName()` The class name of the component, as derived from the field to which the `Component` annotation is applied.
    `String` | `getComponentType()` The type of the component, which may be blank.
    `String[]` | `getConstraintsForMixin(String mixinClassName)`
    `String` | `getId()` A unique id for the embedded component.
    `boolean` | `getInheritInformalParameters()` If true, then the component should inherit informal parameters from its container.
    `List<String>` | `getMixinClassNames()` Returns the fully qualified class names of all mixins added to this component, sorted alphabetically.
    `List<String>` | `getParameterNames()` A sorted list of the names of all bound parameters.
    `String` | `getParameterValue(String parameterName)` The value for each parameter, which will be interpreted as a binding expression.
    `List<String>` | `getPublishedParameters()` Returns the list of published parameters of this component (usually an empty list).

    - ### Methods inherited from interface org.apache.tapestry5.ioc.Locatable

      `getLocation`

- - ### Method Detail

    - #### getId

          String getId()

      A unique id for the embedded component.

    - #### getComponentType

          String getComponentType()

      The type of the component, which may be blank.

    - #### getComponentClassName

          String getComponentClassName()

      The class name of the component, as derived from the field to which the `Component` annotation is applied. This value is only used when the componentType property is blank.

    - #### getParameterNames

          List<String> getParameterNames()

      A sorted list of the names of all bound parameters.

    - #### getParameterValue

          String getParameterValue(String parameterName)

      The value for each parameter, which will be interpreted as a binding expression.

    - #### getMixinClassNames

          List<String> getMixinClassNames()

      Returns the fully qualified class names of all mixins added to this component, sorted alphabetically.

    - #### getInheritInformalParameters

          boolean getInheritInformalParameters()

      If true, then the component should inherit informal parameters from its container.

    - #### getPublishedParameters

          List<String> getPublishedParameters()

      Returns the list of published parameters of this component (usually an empty list).
      Returns:
        list of parameter names to publish
      Since:
        5.1.0.0
      See Also:
        `Component.publishParameters()`

    - #### getConstraintsForMixin

          String[] getConstraintsForMixin(String mixinClassName)

      Parameters:
        `mixinClassName` -
      Returns:
        the ordering constraints for the specified mixin, or null.
      Since:
        5.2.0.0

5.6.0 - Copyright © 2003-2020 The Apache Software Foundation.